<SearchPlugin xmlns="http://www.mozilla.org/2006/browser/search/" xmlns:os="http://a9.com/-/spec/opensearch/1.1/">
<os:ShortName>Google</os:ShortName>
<os:Description>Google Search</os:Description>
<os:InputEncoding>UTF-8</os:InputEncoding>
<os:Image width="16" height="16">data:image/x-icon;base64,[encoded data, 7240 characters]</os:Image>
<SearchForm>https://www.google.com/</SearchForm>
<os:Url type="application/x-suggestions+json" method="GET" template="https://suggestqueries.google.com/complete/search?output=firefox&amp;client=firefox&amp;q={searchTerms}" resultDomain="suggestqueries.google.com">
</os:Url><os:Url type="text/html" method="GET" template="https://www.google.com/search" resultDomain="google.com">
  <os:Param name="q" value="{searchTerms}"/>
  <os:Param name="ie" value="utf-8"/>
  <os:Param name="oe" value="utf-8"/>
</os:Url>
</SearchPlugin>